var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        this.testZone = {};
    },

    bindEvents: function() {
        document.addEventListener("deviceready", this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log("Ready");
        app.testZone = document.getElementById("test-zone");
        //app.recordAudio();
        //app.playAudio();
        //app.captureAudio();
    },






    captureAudio: function() {
        navigator.device.capture.captureAudio(app.captureSuccess, app.onError, {limit: 2});
    },

    captureSuccess: function(mediaFiles) {
        var i, len;
        for (i = 0, len = mediaFiles.length; i < len; i += 1) {
            app.testZone.innerHTML += "<br />" + mediaFiles[i].fullPath;
        }   
    },








    playAudio: function() {
        app.testZone.innerHTML = "Start playing.";
        //var media = new Media("http://audio.ibeat.org/content/p1rj1s/p1rj1s_-_rockGuitar.mp3", app.onPlaySuccess, app.onError);
        var media = new Media("myrecording.amr", app.onPlaySuccess, app.onError);
        media.play();
    },

    onPlaySuccess: function() {
        app.testZone.innerHTML = "Audio finished playing.";
    },








    recordAudio: function() {
        var src = "myrecording.amr";
        var mediaRec = new Media(src, app.onRecordSuccess, app.onError);

        // Record audio
        mediaRec.startRecord();
        app.testZone.innerHTML = "Start recording.";

        // Stop recording after 10 sec
        var recTime = 0;
        var recInterval = setInterval(function() {
            recTime = recTime + 1;
            if (recTime >= 10) {
                clearInterval(recInterval);
                mediaRec.stopRecord();
            }
        }, 1000);
    },

    onRecordSuccess: function() {
        console.log("recordAudio():Audio Success");
    },







    onError: function(error) {
        alert('code: '    + error.code    + '\n' + 
              'message: ' + error.message + '\n');
    },

};
