var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
        this.testZone = {};
        this.needle = {};
        this.watchID = null;
    },

    bindEvents: function() {
        document.addEventListener("deviceready", this.onDeviceReady, false);
    },

    onDeviceReady: function() {
        console.log("Ready");
        app.testZone = document.getElementById("test-zone");
        app.needle = document.getElementById("needle");
        var options = { frequency: 100 };

        app.watchID = navigator.compass.watchHeading(app.onCompassSuccess, app.onCompassError, options);
    },
    
    onCompassSuccess: function(heading) {
        app.testZone.innerHTML = 'Heading: ' + heading.magneticHeading;
        //app.needle.setAttribute("style", "-webkit-transform: rotate("+(-heading.magneticHeading)+"deg);");
    },

    onCompassError: function(compassError) {
        alert('Compass error: ' + compassError.code);
    }
};
