$(function() {
    var app = {
        // Application Constructor
        initialize: function() {
            this.bindEvents();
        },

        bindEvents: function() {
            document.addEventListener("deviceready", this.onDeviceReady, false);
        },

        onDeviceReady: function() {
            $.mobile.loading( 'show', {
                text: 'Loading',
                textVisible: true,
                theme: 'a'
            });
            $.getJSON("http://search.twitter.com/search.json?q=tutorial&rpp=20", function(data) {
                var tweetListHTML = "";
                for(var i = 0; i<data.results.length; i++)
                {
                    tweetListHTML += '<li><a href="">'+data.results[i].from_user+'</a></li>';
                }
                var tweetList = $("#country-list");
                tweetList.html(tweetListHTML);
                tweetList.listview("refresh");
                $.mobile.loading("hide");
            });
        }
    };
    app.initialize();
});


